LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
AccessibleGraphControl Service Reference

The service describes the accessible graph controls that are used in the image map of the Draw and Impress applications and the contour dialog of the Writer application. More...

`import"AccessibleGraphControl.idl";`

Inheritance diagram for AccessibleGraphControl:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessible
| Base interface for being accessible. More...
interface | ::com::sun::star::accessibility::XAccessibleContext
| Description of the base accessibility information. More...
interface | ::com::sun::star::accessibility::XAccessibleComponent
| This interface describes the graphical representation of an image bullet. More...
interface | ::com::sun::star::accessibility::XAccessibleEventBroadcaster
| Inform listeners about new or removed children and about changes of the visual appearance. More...
interface | ::com::sun::star::accessibility::XAccessibleSelection
| Handle the selection of the shapes that represent the contour. More...

## Additional Inherited Members
Public Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children. More...
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object. More...
XAccessible | getAccessibleParent ()
| Returns the parent of this object. More...
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent. More...
short | getAccessibleRole ()
| Returns the role of this object. More...
string | getAccessibleDescription ()
| Returns the object's description. More...
string | getAccessibleName ()
| Return the object's localized name. More...
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object. More...
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object. More...
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component. More...
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in]::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds. More...
XAccessible | getAccessibleAtPoint ([in]::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point. More...
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object. More...
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent. More...
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates. More...
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box. More...
void | grabFocus ()
| Grabs the focus to this object. More...
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object. More...
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object. More...
Public Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener. More...
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener. More...
Public Member Functions inherited from XAccessibleSelection
void | selectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object. More...
boolean | isAccessibleChildSelected ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected. More...
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected. More...
void | selectAllAccessibleChildren ()
| Select all children. More...
long | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected. More...
XAccessible | getSelectedAccessibleChild ([in] long nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child. More...
void | deselectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children. More...

## Detailed Description

The service describes the accessible graph controls that are used in the image map of the Draw and Impress applications and the contour dialog of the Writer application.

The children of graph controls are shapes that define contours.

Since
  OOo 1.1.2

## Exported Interfaces

interface ::com::sun::star::accessibility::XAccessible

Base interface for being accessible.

It gives access to the com::sun::star::accessibility::XAccessibleContext interface.

interface ::com::sun::star::accessibility::XAccessibleComponent

This interface describes the graphical representation of an image bullet.

interface ::com::sun::star::accessibility::XAccessibleContext

Description of the base accessibility information.

interface ::com::sun::star::accessibility::XAccessibleEventBroadcaster

Inform listeners about new or removed children and about changes of the visual appearance.

interface ::com::sun::star::accessibility::XAccessibleSelection

Handle the selection of the shapes that represent the contour.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/AccessibleGraphControl.idl